Page MenuHomePhabricator

Images in galleries should have srcset (category pages, <gallery/> tag)
Closed, ResolvedPublic

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:54 AM
bzimport set Reference to bz62709.
bzimport added a subscriber: Unknown Object (MLST).

Elaborating why they "should" have a srcset welcome.
What is broken if they don't have? Is srcset new in HTML5?

(In reply to Andre Klapper from comment #1)

Elaborating why they "should" have a srcset welcome.
What is broken if they don't have? Is srcset new in HTML5?

Yes it is new in HTML5 and already implement on MediaWiki thumbnails. We need it for same reasons as we needed in thumbnails. There are many bugs with srcset - https://bugzilla.wikimedia.org/buglist.cgi?quicksearch=srcset&list_id=287414.

matmarex renamed this task from Images on categories should have srcset to Images in galleries should have srcset (category pages, <gallery/> tag).Feb 23 2015, 5:47 PM
matmarex updated the task description. (Show Details)
matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).
matmarex added a subscriber: matmarex.

This issue also affects other places where galleries are rendered, using the <gallery/> tag.

Change 192960 had a related patch set uploaded (by Brian Wolff):
Add srcset for images in <gallery>

https://gerrit.wikimedia.org/r/192960

Change 192960 merged by jenkins-bot:
Add srcset for images in <gallery>

https://gerrit.wikimedia.org/r/192960

Change 193146 had a related patch set uploaded (by Brion VIBBER):
Update parser test case for gallery srcset support

https://gerrit.wikimedia.org/r/193146

matmarex closed this task as Resolved.Feb 26 2015, 6:47 PM
matmarex assigned this task to Bawolff.
matmarex removed a project: Patch-For-Review.
matmarex removed a subscriber: gerritbot.

Well, that was sudden! :D

Change 193146 merged by jenkins-bot:
Update parser test case for gallery srcset support

https://gerrit.wikimedia.org/r/193146

Ricordisamoa added a subscriber: Ricordisamoa.